WebToolsPlanet
Hash & Checksum Generator Tools

Hash & Checksum Generator Tools

Free browser-based hash generators covering MD2-MD6, the full SHA-1/2/3 and SHAKE families, CRC-16/32, Whirlpool, and password-specific formats like NTLM and WordPress phpass.

100% FreeNo SignupBrowser BasedPrivacy First
⭐

Built for developers, by a developer.

All tools run locally in your browser. Your data never leaves your device.

Why this collection exists

Generate a hash digest from arbitrary text using any common algorithm — from legacy MD2 and MD4 for compatibility checks, through MD5, the full SHA-1/SHA-2/SHA-3 families and SHAKE extendable-output functions, to CRC-16/32 checksums and 512-bit Whirlpool. Two tools generate a password hash in a specific storage format instead — NTLM (MD4 over UTF-16LE password bytes) and WordPress-compatible phpass — since a password hash needs to match a particular system's exact format, not just any digest algorithm.

Every hash is computed locally in your browser. Nothing you type is ever uploaded or logged.

Best fit for

  • Developers verifying file or message integrity with a checksum
  • Security researchers checking a value against known legacy hash formats (MD2/MD4/MD5)
  • Systems administrators generating an NTLM hash for password auditing or compatibility testing
  • WordPress developers generating a phpass hash for direct database seeding or migration testing
  • Students and engineers comparing output length and format across the MD, SHA, and SHA-3 families

Featured tools in this collection

Start with the strongest tools in this workflow cluster.

Related categories

More tools like these, organized by category.

All tools in this collection

Browse the complete workflow cluster and jump into the tool you need next.

CRC-16 Hash Generator

Generate CRC-16/IBM ARC checksums from UTF-8 text locally in your browser with uppercase output and copy support.

CRC-32 Hash Generator

Generate standard CRC-32/ISO-HDLC checksums from UTF-8 text locally in your browser with uppercase output and copy support.

MD2 Hash Generator

Generate RFC 1319 MD2 hashes from UTF-8 text locally in your browser for legacy compatibility checks.

MD4 Hash Generator

Generate RFC 1320 MD4 hashes from UTF-8 text locally in your browser for legacy compatibility checks.

MD5 Hash Generator

Generate RFC 1321 MD5 hashes from UTF-8 text locally in your browser for legacy checksums and compatibility checks.

MD6 Hash Generator

Generate unkeyed MD6-256 hashes from UTF-8 text locally in your browser with copy and uppercase output support.

SHA1 Hash Generator

Generate SHA-1 hashes from UTF-8 text locally in your browser for legacy compatibility and checksum comparisons.

SHA2 Hash Generator

Generate SHA-2 family hashes from UTF-8 text locally in your browser, including SHA-224 and SHA-256 outputs.

SHA224 Hash Generator

Generate SHA-224 hashes from UTF-8 text locally in your browser with uppercase output and copy support.

SHA256 Hash Generator

Generate SHA-256 hashes from UTF-8 text locally in your browser with uppercase output and copy support.

SHA3-224 Hash Generator

Generate SHA3-224 hashes from UTF-8 text locally in your browser using FIPS 202 Keccak with uppercase output and copy support.

SHA3-256 Hash Generator

Generate SHA3-256 hashes from UTF-8 text locally in your browser using FIPS 202 Keccak with uppercase output and copy support.

SHA3-384 Hash Generator

Generate SHA3-384 hashes from UTF-8 text locally in your browser using FIPS 202 Keccak with uppercase output and copy support.

SHA3-512 Hash Generator

Generate SHA3-512 hashes from UTF-8 text locally in your browser using FIPS 202 Keccak with uppercase output and copy support.

SHA384 Hash Generator

Generate SHA-384 hashes from UTF-8 text locally in your browser with uppercase output and copy support.

SHA512/224 Hash Gen.

Generate SHA-512/224 hashes from UTF-8 text locally in your browser with uppercase output and copy support.

SHA512/256 Hash Gen.

Generate SHA-512/256 hashes from UTF-8 text locally in your browser with uppercase output and copy support.

SHA512 Hash Generator

Generate SHA-512 hashes from UTF-8 text locally in your browser with uppercase output and copy support.

Shake-128 Hash Generator

Generate SHAKE-128 extendable-output hashes from UTF-8 text locally in your browser with a 256-bit default output.

Shake-256 Hash Generator

Generate SHAKE-256 extendable-output hashes from UTF-8 text locally in your browser with a 256-bit default output.

Whirlpool Hash Generator

Generate 512-bit Whirlpool hashes from UTF-8 text locally in your browser. Free, no signup, no upload.

NTLM Hash Generator

Generate NTLM hashes by applying MD4 to UTF-16LE password bytes locally in your browser.

WordPress Password Hash Generator

Generate a WordPress-compatible phpass ($P$) password hash in your browser with a custom salt and work factor.

Collection FAQ

Extra context around when to use this toolkit and where to start.

Which hash algorithm should I use for a new project?

For general integrity checks, SHA-256 is the current standard. MD5, MD4, MD2, and SHA-1 are included for legacy compatibility and verification, not for new security-sensitive use — they are cryptographically broken for collision resistance.

Why are NTLM and WordPress password hashing separate from the other hash tools?

A generic hash tool (like SHA-256) hashes whatever text you give it once. NTLM and phpass are specific storage formats used internally by Windows authentication and WordPress respectively — matching their exact algorithm and encoding is the point, not choosing a hash strength.

Is any text or password I enter uploaded or stored?

No. All hashing happens locally in your browser using standard Web Crypto or in-browser algorithm implementations — nothing is sent over the network.

Related Collections

Move into adjacent workflows without losing context.

View all